Loading...
Searching...
No Matches
pdftron::PDF::Appearance Class Reference

`#include <Redactor.h>`

## Public Member Functions
| Appearance ()

## Public Attributes
bool | RedactionOverlay
ColorPt | PositiveOverlayColor
ColorPt | NegativeOverlayColor
bool | Border
bool | UseOverlayText
Font | TextFont
double | MinFontSize
double | MaxFontSize
ColorPt | TextColor
int | HorizTextAlignment
int | VertTextAlignment
bool | EnableTextWrapping
bool | ShowRedactedContentRegions
ColorPt | RedactedContentColor

## Detailed Description

Class used to customize the appearance of the optional redaction overlay.

Definition at line 107 of file Redactor.h.

## Constructor & Destructor Documentation

## ◆ Appearance()

pdftron::PDF::Appearance::Appearance | ( |  | ) |
| inline

Definition at line 110 of file Redactor.h.

## Member Data Documentation

## ◆ Border

bool pdftron::PDF::Appearance::Border

Border specifies if the overlay will be surrounded by a border.

Definition at line 149 of file Redactor.h.

## ◆ EnableTextWrapping

bool pdftron::PDF::Appearance::EnableTextWrapping

Specifies whether text wrapping is enabled for overlay text. When true, text is wrapped across multiple lines at MaxFontSize to fit within the redaction area. When false, text is rendered on a single line, scaled between MinFontSize and MaxFontSize as needed.

Definition at line 194 of file Redactor.h.

## ◆ HorizTextAlignment

int pdftron::PDF::Appearance::HorizTextAlignment

Specifies the horizontal text alignment in the overlay: align<0 -> text will be left aligned. align==0 -> text will be center aligned. align>0 -> text will be right aligned.

Definition at line 179 of file Redactor.h.

## ◆ MaxFontSize

double pdftron::PDF::Appearance::MaxFontSize

Definition at line 166 of file Redactor.h.

## ◆ MinFontSize

double pdftron::PDF::Appearance::MinFontSize

Specifies the minimum and maximum font size used to represent the text in the overlay.

Definition at line 166 of file Redactor.h.

## ◆ NegativeOverlayColor

ColorPt pdftron::PDF::Appearance::NegativeOverlayColor

NegativeOverlayColor defines the overlay background color in RGB color space for negative redactions.

Definition at line 144 of file Redactor.h.

## ◆ PositiveOverlayColor

ColorPt pdftron::PDF::Appearance::PositiveOverlayColor

PositiveOverlayColor defines the overlay background color in RGB color space for positive redactions.

Definition at line 139 of file Redactor.h.

## ◆ RedactedContentColor

ColorPt pdftron::PDF::Appearance::RedactedContentColor

Specifies the color used to paint the regions where content was removed. Only useful when ShowRedactedContentRegions == true. @default Default value is Gray color.

Definition at line 210 of file Redactor.h.

## ◆ RedactionOverlay

bool pdftron::PDF::Appearance::RedactionOverlay

If RedactionOverlay is set to true, Redactor will draw an overlay covering all redacted regions. The rest of properties in the Appearance class defines visual properties of the overlay. If false the overlay region will not be drawn.

Definition at line 134 of file Redactor.h.

## ◆ ShowRedactedContentRegions

bool pdftron::PDF::Appearance::ShowRedactedContentRegions

Specifies whether an overlay should be drawn in place of the redacted content. This option can be used to indicate the areas where the content was removed from without revealing the content itself. @default Default value is False.

Note
  The overlay region used RedactedContentColor as a fill color.

Definition at line 203 of file Redactor.h.

## ◆ TextColor

ColorPt pdftron::PDF::Appearance::TextColor

Specifies the color used to paint the text in the overlay (in RGB).

Definition at line 171 of file Redactor.h.

## ◆ TextFont

Font pdftron::PDF::Appearance::TextFont

Specifies the font used to represent the text in the overlay.

Definition at line 161 of file Redactor.h.

## ◆ UseOverlayText

bool pdftron::PDF::Appearance::UseOverlayText

Specifies if the text (e.g. "Redacted" etc.) should be placed on top of the overlay. The remaining properties relate to the positioning, and styling of the overlay text.

Definition at line 156 of file Redactor.h.

## ◆ VertTextAlignment

int pdftron::PDF::Appearance::VertTextAlignment

Specifies the vertical text alignment in the overlay: align<0 -> text will be bottom aligned. align==0 -> text will be center aligned. align>0 -> text will be top aligned.

Definition at line 187 of file Redactor.h.

The documentation for this class was generated from the following file:

- PDF/Redactor.h